Page MenuHomePhabricator

commands.log missing in core
Closed, ResolvedPublic

Description

In compat version there is file logs\commands.log which contains history of all command which were used for running bot. It is useful when I want to run some more complicated command again.
Unfortunatelly, there is no such log in core branch.


Version: core-(2.0)
Severity: enhancement

Details

Reference
bz67724

Related Objects

StatusAssignedTask
InvalidNone
OpenNone
OpenNone
ResolvedRicordisamoa
ResolvedLadsgroup
ResolvedXqt
Resolvedjayvdb
OpenXqt
ResolvedNone
DeclinedNone
ResolvedAbdealiJK
ResolvedNone
ResolvedDrTrigon
ResolvedAbdealiJK
ResolvedDrTrigon
ResolvedDrTrigon
ResolvedNone
ResolvedNone
ResolvedDrTrigon
ResolvedNone
ResolvedNone
ResolvedNone
DeclinedNone
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedAbdealiJK
ResolvedAbdealiJK
ResolvedAbdealiJK
ResolvedDrTrigon
ResolvedAbdealiJK
ResolvedDrTrigon
DeclinedNone
ResolvedAbdealiJK
ResolvedAbdealiJK
OpenNone
ResolvedXqt
Resolveddroid
OpenNone
OpenNone
ResolvedNone
Resolveddroid
ResolvedMpaa
ResolvedNone
Resolveddroid
ResolvedXqt
ResolvedXqt
Resolvedjayvdb
ResolvedNone
OpenNone
Resolvedmurfel
Resolveddroid
ResolvedDvorapa
Opendroid
OpenNone
OpenNone
OpenRicordisamoa
ResolvedNone
ResolvedLegoktm
ResolvedLegoktm
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedNone
OpenNone
Resolveddroid
ResolvedMpaa
Resolvedjayvdb
ResolvedNone
OpenNone
ResolvedNone
DuplicateOmegat
OpenNone
Resolvedvalhallasw
ResolvedMpaa
OpenXqt

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 3:29 AM
bzimport set Reference to bz67724.
bzimport added a subscriber: Unknown Object (????).
JAnD created this task.Jul 9 2014, 7:33 AM
jayvdb updated the task description. (Show Details)Dec 25 2014, 3:02 PM
jayvdb set Security to None.
jayvdb removed a subscriber: Unknown Object (????).

Change 198547 had a related patch set uploaded (by Prianka):
Adding commands.log generating function in core.

https://gerrit.wikimedia.org/r/198547

Change 198547 merged by jenkins-bot:
Adding commands.log generating function in core.

https://gerrit.wikimedia.org/r/198547

droid closed this task as Resolved.Apr 5 2015, 9:11 PM
jayvdb added a comment.Apr 8 2015, 3:33 AM

fwiw, it is quite easy to break the format of this file using control characters (esp. new lines and line feeds), allowing me to create the following entries.
$ cat logs/commands.log
2015-04-05 20:57:51 rg5243 Python 2.7.5 shell "-help"
"015-04-05 21:00:46 rg5243 Python 2.7.5 shell "-help" "
2015-04-05 21:01:28 rg5243 Python 2.7.5 shell "-help" "
"